Swiss Tax API
REST API and MCP server for Swiss tax calculations. Income, corporate, inheritance, withholding, property taxes and more — all 26 cantons, 2'100+ municipalities.
Request
curl -X POST https://api.taxengine.ch/api/v1/income-tax \
-H "Content-Type: application/json" \
-H "X-API-Key: txe_your_api_key" \
-d '{
"bfs_municipality": 261,
"gross_income": 100000,
"fortune": 50000,
"filing_status": "single",
"confession": "none"
}'Response
{
"tax": 13759,
"marginal_rate_pct": 32.5,
"effective_rate_pct": 13.76,
"breakdown": {
"income_tax_federal": 1076,
"income_tax_cantonal": 3843,
"income_tax_municipal": 4611,
"income_tax_church": 0,
"wealth_tax_cantonal": 87,
"wealth_tax_municipal": 105,
"wealth_tax_church": 0,
"personal_tax": 24
},
"location": { "city": "Zürich", "canton": "ZH" }
}Authentication
Pass your API key via X-API-Key header or Authorization: Bearer <key>.
Header
X-API-Key: txe_live_...Bearer
Authorization: Bearer txe_live_...MCP Server
All 80+ tax tools are also available as an MCP server for Claude Desktop, Cursor, Windsurf, and other AI clients.
npx -y taxenginenpm packageEndpoints
Click any endpoint to see input parameters and response schema.
Tax Calculators
Canton-Specific
Comparison & Analysis
Lookups
Meta
All tools are also accessible via POST /api/v1/tools/:tool_name — see GET /api/v1/tools for the full list with input schemas.
Pricing
Pro
CHF 49/ month
10'000 requests / month
- All endpoints
- Bulk map endpoints
- Priority support
- Higher rate limits
Enterprise
Custom
Unlimited
- All endpoints
- Dedicated support
- SLA guarantee
- On-premise / self-hosted
- Custom integrations
100% Swiss hosted2'100+ municipalities26 cantonsREST + MCPSwagger UI docs